https://github.com/resurrecting-open-source-projects/packit/pull/19
https://bugs.gentoo.org/816753

From 030cdc3f6ded1d206ca16dacc19aef181adba708 Mon Sep 17 00:00:00 2001
From: Sam James <sam@gentoo.org>
Date: Thu, 14 Oct 2021 08:11:24 +0100
Subject: [PATCH 1/2] configure.ac: fix autoreconf with newer automake

Newer automake forbids repeated calls to AM_INIT_AUTOMAKE.

Bug: https://bugs.gentoo.org/816753
Signed-off-by: Sam James <sam@gentoo.org>
--- a/configure.ac
+++ b/configure.ac
@@ -29,7 +29,6 @@
 AC_PREREQ([2.69])
 AC_INIT([packit], [1.7], [https://github.com/resurrecting-open-source-projects/packit/issues])
 AC_CONFIG_SRCDIR([src/main.c])
-AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(config.h)
 AC_MSG_RESULT(beginning auto-configuration process for packit...)
 AC_PREFIX_DEFAULT(/usr/local)

From f62d3d40ff99ac39e7cbdea9991bec639a16d3a0 Mon Sep 17 00:00:00 2001
From: Sam James <sam@gentoo.org>
Date: Thu, 14 Oct 2021 08:12:14 +0100
Subject: [PATCH 2/2] configure.ac: don't ignore failure to find packages

Signed-off-by: Sam James <sam@gentoo.org>
--- a/configure.ac
+++ b/configure.ac
@@ -146,7 +146,7 @@ AC_CHECK_HEADERS(libnet.h,, LIBNET="no")
 if test "$LIBNET" = "no"; then
     echo ""
     echo "Error: Can't find libnet 1.1.0 or greater. Visit https://github.com/sam-github/libnet for the latest version."
-    exit;
+    exit 1;
 fi
 
 AC_ARG_WITH(libpcap_includes,
@@ -161,7 +161,7 @@ AC_CHECK_HEADERS(pcap.h,, LIBPCAP="no")
 if test "$LIBNET" = "no"; then
     echo ""
     echo "Error: Can't find Libpcap. Visit https://github.com/the-tcpdump-group/libpcap for the latest version."
-    exit;
+    exit 1;
 fi
 
 dnl Checks for library functions.
@@ -181,7 +181,7 @@ AC_CHECK_LIB(net, libnet_build_ipv4,, LIBNET="no")
 if test "$LIBNET" = "no"; then
     echo ""
     echo "Error: Can't find libnet 1.1.0 or greater. Visit https://github.com/sam-github/libnet for the latest version."
-    exit;
+    exit 1;
 fi
 
 AC_ARG_WITH(libpcap_libraries,
@@ -196,7 +196,7 @@ AC_CHECK_LIB(pcap, pcap_open_live,, LIBPCAP="no")
 if test "$LIBPCAP" = "no"; then
     echo ""
     echo "Error: Can't find Libpcap. Visit https://github.com/the-tcpdump-group/libpcap for the latest version."
-    exit;
+    exit 1;
 else
     AC_CHECK_LIB(pcap, pcap_setnonblock,, SETNONBLOCK="no")
     if test "$SETNONBLOCK" = "no"; then
